/* 
 * File cpp della classe FeatureMultiple
 */

#include "FeaturesMultiple.h"

using namespace Eigen;
using namespace std;

FeaturesMultiple::FeaturesMultiple(const vector<Features*>& features) :
	Mie_Features(features)
{
	int d = 0;
	for (int i = 0; i < (int)features.size(); ++i)
	{
		d += features[i]->GetCount();
	}
	SetCount(d);
}

void FeaturesMultiple::AggiornaFeatureVector(const CampioneSingolo &s)
{
	int start = 0;
	for (int i = 0; i < (int) Mie_Features.size(); ++i)
	{
		int n =  Mie_Features[i]->GetCount();
		m_featVec.segment(start, n) = Mie_Features[i]->Eval(s);
		start += n;
	}
}
