/* 
 * Header file della classe FeatureHaarSingola
 */

#ifndef HAAR_FEATURE_H
#define HAAR_FEATURE_H

#include "RettBoundingBox.h"
#include "Immagine.h"

#include <vector>

class CampioneSingolo;

class HaarFeature
{
public:
	HaarFeature(const FloatRect& bb, int type);
	~HaarFeature();
	
	float Eval(const CampioneSingolo & s) const;
	
private:
	FloatRect Mio_BB;
	std::vector<FloatRect> Miei_Rects;
	std::vector<float> Pesi;
	float Factor;
};

#endif
