/* 
 * Header File della classe FeaturesHaarMultiple
 */

#ifndef HAAR_FEATURES_H
#define HAAR_FEATURES_H

#include "Features.h"
#include "FeatureHaarSingola.h"

#include <vector>

class FileConfigurazione;

class FeaturesHaarMultiple : public Features
{
public:
	FeaturesHaarMultiple(const FileConfigurazione & conf);
	
private:
	std::vector<HaarFeature> m_features;
	
	virtual void AggiornaFeatureVector(const CampioneSingolo &s);
	
	void GenerateSystematic();
};

#endif
