/* 
 * Header File della classe Raw Features
 */

#ifndef RAW_FEATURES_H
#define RAW_FEATURES_H

#include "Features.h"
#include <opencv2/opencv.hpp>

class FileConfigurazione;

class RawFeatures : public Features
{
public:
	RawFeatures(const FileConfigurazione & conf);
	
private:
	cv::Mat Mia_Patch;
	
	virtual void AggiornaFeatureVector(const CampioneSingolo &s);
};

#endif
